package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.StrukOrder;
import com.jasamedika.medifirst2000.helper.Caption;

public class StrukRacikanVO extends BaseTransactionVO{

	@Caption(value="No Racikan")
	private String noRacikan;
	
	@Caption(value="Tanggal Racikan")
	private Date tglRacikan;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="No Order")
	private StrukOrderVO strukOrder;

	public String getNoRacikan() {
		return noRacikan;
	}

	public void setNoRacikan(String noRacikan) {
		this.noRacikan = noRacikan;
	}

	public Date getTglRacikan() {
		return tglRacikan;
	}

	public void setTglRacikan(Date tglRacikan) {
		this.tglRacikan = tglRacikan;
	}

	public StrukOrderVO getStrukOrder() {
		return strukOrder;
	}

	public void setStrukOrder(StrukOrderVO strukOrder) {
		this.strukOrder = strukOrder;
	}

}
